For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notification Center Configuration (Core)

Endpoints to configure the notification center.

Get notification config

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Returns the notification center configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

The notification center configuration was successfully returned.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
get/api/configurations/notifications

Update notification config

put

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Update the notification center configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
Responses
200

Notification center configuration was successfully updated.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
put/api/configurations/notifications

Call notification action

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Executes an action to manipulate the notification center configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
Responses
200

Notification center configuration action was successfully executed.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
post/api/configurations/notifications/actions

Delete notification channel

delete

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Delete the notification channel.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
channelIdstringRequired
Query parameters
versionnumberRequired
Responses
200

Notification center config channel was successfully deleted.

No content

delete/api/configurations/notifications/channels/{channelId}

No content

Get facility notification config

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Returns the notification center facility configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
Responses
200

The notification center facility configuration was successfully returned.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
get/api/facilities/{facilityRef}/configurations/notifications

Update facility notification config

put

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Update the notification center facility configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
Body
or
Responses
200

Notification center facility configuration was successfully updated.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
put/api/facilities/{facilityRef}/configurations/notifications

Call facility notification action

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Executes an action to manipulate the notification center facility configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
Body
or
Responses
200

Notification center facility configuration action was successfully executed.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
post/api/facilities/{facilityRef}/configurations/notifications/actions

Delete facility notification channel

delete

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Delete the notification facility channel.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
channelIdstringRequired
Query parameters
versionnumberRequired
Responses
200

Notification center facility config channel was successfully deleted.

No content

delete/api/facilities/{facilityRef}/configurations/notifications/channels/{channelId}

No content

List notifications (search)

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Search for Notification

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

NotificationSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

NotificationPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/notifications/search

Last updated